#
# \file    Makefile.PL
# \brief   Perl-specific SWIG directives for wrapping libSBML API
# \author  TBI {xtof,raim}@tbi.univie.ac.at
#
# $Id: Makefile.PL,v 1.1 2004/09/29 19:42:25 bbornstein Exp $
# $Source: /cvsroot/sbml/libsbml/bindings/perl/Makefile.PL,v $
#

#
# Copyright 2004 TBI
#
# This library is free software; you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License as published
# by the Free Software Foundation; either version 2.1 of the License, or
# any later version.
#
# This library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, WITHOUT EVEN THE IMPLIED WARRANTY OF
# MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  The software and
# documentation provided hereunder is on an "as is" basis, and the
# California Institute of Technology and Japan Science and Technology
# Corporation have no obligations to provide maintenance, support,
# updates, enhancements or modifications.  In no event shall the
# California Institute of Technology or the Japan Science and Technology
# Corporation be liable to any party for direct, indirect, special,
# incidental or consequential damages, including lost profits, arising
# out of the use of this software and its documentation, even if the
# California Institute of Technology and/or Japan Science and Technology
# Corporation have been advised of the possibility of such damage.  See
# the GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
#
# The original code contained here was initially developed by:
#
#     Christoph Flamm and Rainer Machne
#
# Contributor(s):
#


use ExtUtils::MakeMaker;
WriteMakefile(
              NAME     => "LibSBML",
              LIBS     => ["-lxerces-c", "-lm"],
              INC      => "-I../swig -I../../src",
              MYEXTLIB => "../../src/libsbml.a",
              OBJECT   => "LibSBML_wrap.o",
              AUTHOR   => 'Christoph Flamm <xtof@tbi.univie.ac.at>',
              VERSION  => 2.1,
);

package MY;
sub postamble {
	return <<'MAKE_FRAG';
LibSBML_wrap.cxx:
	swig -Wall -c++ -perl5 -proxy -I../../src/ LibSBML.i
	perl patchLibSBML.pl > tmp
	mv tmp LibSBML.pm
MAKE_FRAG
}
# End of file
