dnl
dnl Filename    : layout.m4
dnl Description : Autoconf macro to check for existence of libcheck library
dnl Author(s)   : Ralph Gauges
dnl Created     : 2004-07-28
dnl


dnl
dnl Check --enable-layout is specified
dnl

AC_DEFUN(CONFIG_LIB_LIBLAYOUT,
[
  AC_ARG_ENABLE([layout],
    AC_HELP_STRING([--enable-layout=yes|no],
                   [Build the SBML layout extension (default=no)]),
    [enable_layout=yes],
    [enable_layout=no])

  if test "$enable_layout" != no; then
    
    AC_DEFINE([MAKE_LAYOUT], 1, [Define to 1 to build the layout extension])
    AC_SUBST(MAKE_LAYOUT, 1)
  
  fi

])


