## config/makefile-common-vars.mk.  Generated from makefile-common-vars.mk.in by configure.
##
## Filename    : makefile-common-vars.mk.in
## Description : Makefile include file containing common variable definitions
## Author(s)   : SBML Team <sbml-team@caltech.edu>
## Organization: California Institute of Technology
## Created     : 2004-06-11
## Revision    : $Id: makefile-common-vars.mk.in,v 1.9 2004/09/29 21:06:00 mhucka Exp $
## Source      : $Source: /cvsroot/sbml/libsbml/config/makefile-common-vars.mk.in,v $
##
## Copyright 2004 California Institute of Technology.
##
## This library is free software; you can redistribute it and/or modify it
## under the terms of the GNU Lesser General Public License as published
## by the Free Software Foundation; either version 2.1 of the License, or
## any later version.
##
## This library is distributed in the hope that it will be useful, but
## WITHOUT ANY WARRANTY, WITHOUT EVEN THE IMPLIED WARRANTY OF
## MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  The software and
## documentation provided hereunder is on an "as is" basis, and the
## California Institute of Technology and Japan Science and Technology
## Corporation have no obligations to provide maintenance, support,
## updates, enhancements or modifications.  In no event shall the
## California Institute of Technology or the Japan Science and Technology
## Corporation be liable to any party for direct, indirect, special,
## incidental or consequential damages, including lost profits, arising
## out of the use of this software and its documentation, even if the
## California Institute of Technology and/or Japan Science and Technology
## Corporation have been advised of the possibility of such damage.  See
## the GNU Lesser General Public License for more details.
##
## You should have received a copy of the GNU Lesser General Public License
## along with this library; if not, write to the Free Software Foundation,
## Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
##
## The original code contained here was initially developed by:
##
##     Michael Hucka
##     SBML Team
##     Control and Dynamical Systems, MC 107-81
##     California Institute of Technology
##     Pasadena, CA, 91125, USA
##
##     http://www.sbml.org
##     mailto:sbml-team@caltech.edu
##
## Contributor(s):
##


# -----------------------------------------------------------------------------
# Commmon variables.
# -----------------------------------------------------------------------------
#
# For '@' variables (which are expanded by configure), make sure not to
# put anything in here that might expand to a relative path.
#
# `prefix', `exec_prefix', `top_srcdir' and `top_builddir' must be in
# lowercase, because some of the autoconf macros expand into strings that
# use them.
#
# The enclosing makefile is assumed to define `srcdir'.

prefix            = /usr/local
exec_prefix       = ${prefix}

top_srcdir        = /home/shoops/development/libsbml-2.2.0-04.12.20/config/..
top_builddir      = /home/shoops/development/libsbml-2.2.0-04.12.20/config/../.
TOP_SRCDIR        = $(top_srcdir)
TOP_BUILDDIR      = $(top_builddir)
DISTDIR           = $(top_srcdir)/$(PACKAGE_TARNAME)-$(PACKAGE_VERSION)


BINDIR            = ${exec_prefix}/bin
DATADIR           = ${prefix}/share
DOCDIR            = $(DATADIR)/doc/$(PACKAGE_TARNAME)-$(PACKAGE_VERSION)
INCLUDEDIR        = ${prefix}/include
LIBDIR            = ${exec_prefix}/lib
MANDIR            = ${prefix}/man

LIBSBML_OPTIONS   =  USE_SWIG USE_PYTHON USE_JAVA USE_MATLAB USE_LISP USE_EXPAT USE_XERCES USE_LIBCHECK

USE_LIBCHECK      = 
LIBCHECK_CPPFLAGS = 
LIBCHECK_LDFLAGS  = 
LIBCHECK_LIBS     = 

USE_EXPAT         = 1
EXPAT_CPPFLAGS    = 
EXPAT_LDFLAGS     = 
EXPAT_LIBS        = -lexpat

USE_XERCES        = 
XERCES_CPPFLAGS   = 
XERCES_LDFLAGS    = 
XERCES_LIBS       = 

USE_PYTHON        = 
PYTHON            = 
PYTHON_CPPFLAGS   = 
PYTHON_LDFLAGS    = 
PYTHON_LIBS       = 

USE_JAVA          = 1
JAVA              = /usr/lib/java/bin/java
JAVAC             = /usr/lib/java/bin/javac
JAR               = /usr/bin/jar
JAVA_CPPFLAGS     =  -I/usr/lib/java/include -I/usr/lib/java/include/linux
JAVA_LDFLAGS      = 
JAVA_LIBS         = 
JNIEXT            = so

USE_MATLAB        = 
MATLAB            = 
MATLAB_CPPFLAGS   = 
MATLAB_LDFLAGS    = 
MATLAB_LIBS       = 
MEX               = 
MEX_FLAGS         = 
MEXEXT            = 

USE_LISP          = 1
LISP              = /usr/bin/clisp
LISPEXIT          = ext:quit
FASLEXT           = failed
EXT_ASDF          = 
ASDF              = /home/shoops/development/libsbml-2.2.0-04.12.20/bindings/lisp/tps/asdf/
EXT_UFFI          = 
UFFI              = /home/shoops/development/libsbml-2.2.0-04.12.20/bindings/lisp/tps/uffi/
EXT_CPARSE        = 
CPARSE            = /home/shoops/development/libsbml-2.2.0-04.12.20/bindings/lisp/tps/cparse/

USE_SWIG          = 
SWIG              = 
SWIGLIB           = 
SWIGFLAGS         = 

ACLOCAL           = /usr/bin/aclocal
ACLOCAL_FLAGS     = --acdir=$(top_srcdir)/config
ACLOCAL_M4        = $(top_srcdir)/aclocal.m4
AUTOCONF          = /usr/bin/autoconf

AR                = /usr/bin/ar
AWK               = awk
BUILD             = i686-pc-linux-gnu
BUILD_CPU         = i686
BUILD_OS          = linux-gnu
CC                = gcc
CD                = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
CFLAGS            = -g -O2
CPP               = gcc -E
CPPFLAGS          = -DLINUX 
CTAGS             = ctags
CTAGSFLAGS        =
CXX               = g++
CXXFLAGS          = -g -O2
CYGPATH_W         = @CYGPATH_W@
DEFS              = -DHAVE_CONFIG_H
DEPDIR            = .deps
DEPEXT            = Po
ETAGS             = etags
ETAGSFLAGS        =
EXEEXT            = 
HOST_OS           = linux-gnu
HOST_TYPE         = linux
HOST_CPU          = i686
INSTALL           = /usr/bin/ginstall -c
INSTALL_SH        = $(top_srcdir)/config/install-sh
LDFLAGS           = 
LIBS              = -lm 
MKINSTALLDIRS     = $(SHELL) $(top_srcdir)/config/mkinstalldirs
OBJEXT            = o
PACKAGE           = libsbml
PACKAGE_BUGREPORT = sbml-team@caltech.edu
PACKAGE_NAME      = libSBML
PACKAGE_STRING    = libSBML 2.2.0
PACKAGE_TARNAME   = libsbml
PACKAGE_VERSION   = 2.2.0
RANLIB            = ranlib
SHAREDLIBEXT      = so
SHELL             = /bin/sh


# -----------------------------------------------------------------------------
# End.
# -----------------------------------------------------------------------------

## The following is for [X]Emacs users.  Please leave in place.
## Local Variables:
## mode: Makefile
## End:
